- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Protected Member Functions

# FbxCollection Class Reference

This reference page is linked to from the following overview topics: FBX SDK Object Model, FBX Objects, Connections, List of Python Fbx classes.

Search for all occurrences

## Detailed Description

A FbxObject derived container for FbxObject.

Definition at line 31 of file fbxcollection.h.

`#include <fbxcollection.h>`

Inheritance diagram for FbxCollection:
[legend]

List of all members.

## Protected Member Functions
| FbxCollection (FbxManager &pManager, const char *pName)
## Collection member management
virtual void | Clear ()
| Deletes all objects in the container.
virtual bool | AddMember (FbxObject *pMember)
| Adds a member.
virtual bool | RemoveMember (FbxObject *pMember)
| Removes a member.
int | GetMemberCount () const
| Returns the number of objects contained within the collection.
FbxObject * | GetMember (int pIndex=0) const
| Returns the member of the collection at the given index.
virtual bool | IsMember (const FbxObject *pMember) const
| Judges whether an object is a part of the collection.
## Templated member management
template<class T >
int | GetMemberCount (const T *) const
| Returns the number of class T objects contained within the collection.
template<class T >
T * | GetMember (const T *, int pIndex=0) const
| Returns the member of class T at the given index in the collection.
template<class T >
T * | FindMember (const T *, const char *pName) const
| Searches for a member of class T.
## Criteria based member management
int | GetMemberCount (const FbxCriteria &pCriteria) const
| Returns the number of class T objects contained within the collection.
FbxObject * | GetMember (const FbxCriteria &pCriteria, int pIndex=0) const
| Returns the member of class T at the given index in the collection.
FbxObject * | FindMember (const FbxCriteria &pCriteria, const char *pName) const
| Searches for a member of class T.
## Selection management
virtual void | SetSelectedAll (bool pSelection)
| Selects/Deselects all the contained objects.
virtual void | SetSelected (FbxObject *pObject, bool pSelection)
| Selects/Deselects an object.
virtual bool | GetSelected (FbxObject *pObject)
| Returns whether the specified object is selected or not.

## Constructor & Destructor Documentation

FbxCollection | ( | FbxManager & | pManager,
|  | const char * | pName
| ) |  | `[protected]`

## Member Function Documentation

virtual void Clear | ( |  | ) | `[virtual]`

Search for all occurrences

Deletes all objects in the container.

Reimplemented in FbxDocument, and FbxScene.

virtual bool AddMember | ( | FbxObject * | pMember | ) | `[inline, virtual]`

Search for all occurrences

Adds a member.

Parameters:

  pMember | Object to be added.

Reimplemented in FbxCollectionExclusive.

Examples:
  Animation/main.cxx, Common/AnimationUtility.cxx, ExportDocument/main.cxx, ExportScene01/main.cxx, ExportScene02/main.cxx, ExportScene03/main.cxx, ExportScene04/main.cxx, Instances/main.cxx, and UserProperties/main.cxx.

Definition at line 46 of file fbxcollection.h.

    { return ConnectSrcObject(pMember); }

virtual bool RemoveMember | ( | FbxObject * | pMember | ) | `[inline, virtual]`

Search for all occurrences

Removes a member.

Parameters:

  pMember | Object to be removed.

Definition at line 51 of file fbxcollection.h.

    { return DisconnectSrcObject(pMember); }

int GetMemberCount | ( |  | ) | const `[inline]`

Search for all occurrences

Returns the number of objects contained within the collection.

Returns:
  The number of objects the collection contains.

Examples:
  ExportDocument/main.cxx, and ImportScene/DisplayAnimation.cxx.

Definition at line 56 of file fbxcollection.h.

    { return GetSrcObjectCount(); }

FbxObject* GetMember | ( | int | pIndex = `0` | ) | const `[inline]`

Search for all occurrences

Returns the member of the collection at the given index.

Parameters:

  pIndex | The given index.

Returns:
  The member of the collection at the given index.

Examples:
  Animation/main.cxx, ImportScene/DisplayAnimation.cxx, and ViewScene/SceneContext.cxx.

Definition at line 62 of file fbxcollection.h.

    { return GetSrcObject(pIndex); }

virtual bool IsMember | ( | const FbxObject * | pMember | ) | const `[virtual]`

Search for all occurrences

Judges whether an object is a part of the collection.

Parameters:

  pMember | The member to be judged.

Returns:
  `True` if it is a member of the collection, returns `false` if it is not a member.

int GetMemberCount | ( | const T * |  | ) | const `[inline]`

Search for all occurrences

Returns the number of class T objects contained within the collection.

Returns:
  The number of objects of class T the collection contains.

Definition at line 78 of file fbxcollection.h.

    { return GetSrcObjectCount(T::ClassId); }

T* GetMember | ( | const T * | ,
|  | int | pIndex = `0`
| ) |  | const `[inline]`

Search for all occurrences

Returns the member of class T at the given index in the collection.

Parameters:

  pIndex | The given index.

Returns:
  The member of class T at the given index.

Definition at line 84 of file fbxcollection.h.

    { return FbxCast<T>(GetSrcObject(T::ClassId, pIndex)); }

T* FindMember | ( | const T * | ,
|  | const char * | pName
| ) |  | const `[inline]`

Search for all occurrences

Searches for a member of class T.

Parameters:

  pName | Member name.

Examples:
  ViewScene/SceneContext.cxx.

Definition at line 89 of file fbxcollection.h.

    { return FbxCast<T>(FindSrcObject(T::ClassId, pName)); }

int GetMemberCount | ( | const FbxCriteria & | pCriteria | ) | const `[inline]`

Search for all occurrences

Returns the number of class T objects contained within the collection.

Returns:
  The number of objects of class T the collection contains.

Definition at line 99 of file fbxcollection.h.

    { return GetSrcObjectCount(pCriteria); }

FbxObject* GetMember | ( | const FbxCriteria & | pCriteria,
|  | int | pIndex = `0`
| ) |  | const `[inline]`

Search for all occurrences

Returns the member of class T at the given index in the collection.

Parameters:

  pIndex | The given index.

Returns:
  The member of class T at the given index.

Definition at line 105 of file fbxcollection.h.

    { return GetSrcObject(pCriteria, pIndex); }

FbxObject* FindMember | ( | const FbxCriteria & | pCriteria,
|  | const char * | pName
| ) |  | const `[inline]`

Search for all occurrences

Searches for a member of class T.

Parameters:

  pName | Member name.

Definition at line 110 of file fbxcollection.h.

    { return FindSrcObject(pCriteria, pName); }

virtual void SetSelectedAll | ( | bool | pSelection | ) | `[virtual]`

Search for all occurrences

Selects/Deselects all the contained objects.

Parameters:

  pSelection | If `true`, all objects are selected, if `false`, all objects are deselected.

virtual void SetSelected | ( | FbxObject * | pObject,
|  | bool | pSelection
| ) |  | `[virtual]`

Search for all occurrences

Selects/Deselects an object.

Parameters:

  pObject | The object to be selected or deselected.
  pSelection | If `true`, pObject is selected, if `false`, pObject is deselected.

virtual bool GetSelected | ( | FbxObject * | pObject | ) | `[virtual]`

Search for all occurrences

Returns whether the specified object is selected or not.

Parameters:

  pObject | The specified object.

Returns:
  Whether pObject is selected or not.

The documentation for this class was generated from the following file:

- fbxsdk/scene/fbxcollection.h

FbxCollection FbxCollection FbxCollection FbxCollection FbxCollection FbxCollection FbxCollection FbxCollection FbxCollection FbxCollection
FbxCollection FbxCollection FbxCollection FbxCollection FbxCollection FbxCollection FbxCollection FbxCollection FbxCollection FbxCollection